Bug 152632 - [new port] www/hastymail2
Summary: [new port] www/hastymail2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-28 02:00 UTC by Aldis Berjoza
Modified: 2010-12-16 23:13 UTC (History)
0 users

See Also:


Attachments
file.txt (7.34 KB, text/plain)
2010-11-28 02:00 UTC, Aldis Berjoza
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2010-11-28 02:00:21 UTC
Update hastymail to latest version hastymail2 1.1
http://www.hastymail.org/

Original port is not maintained, and is ancient....
I suggest to replace it with my port, which installs hastymail2 (I also renamed portname to hastymail2)

Because version for hastymail2 is 1.1 (1.01 as authors say) I set PORTEPOCH



This also means, that I'm willing to become maintainer of this port :)


Hope you'll like it

P.S.
I changed pkg-descr, to new quite longer one... which is much more descriptive.

Fix: Patch attached with submission follows:
Comment 1 Pav Lucistnik freebsd_committer 2010-11-29 10:23:07 UTC
State Changed
From-To: open->repocopy

www/hastymail -> www/hastymail2 please 


Comment 2 Pav Lucistnik freebsd_committer 2010-11-29 10:23:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

www/hastymail -> www/hastymail2 please
Comment 3 Beech Rintoul freebsd_committer 2010-12-03 01:34:12 UTC
I'll take this after repocopy, please assign back to me.

Beech
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail  | http://people.freebsd.org/~beech
 X  - NO Word docs in e-mail | Skype: akbeech
/ \ - http://www.FreeBSD.org/releases/8.0R/announce.html
---------------------------------------------------------------------------------------
Comment 4 Joe Marcus Clarke freebsd_committer 2010-12-12 16:46:17 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2010-12-12 16:46:17 UTC
Responsible Changed
From-To: portmgr->beech

Repocopy complete.
Comment 6 dfilter service freebsd_committer 2010-12-16 21:06:53 UTC
beech       2010-12-16 21:06:49 UTC

  FreeBSD ports repository

  Modified files:
    www/hastymail2       Makefile distinfo pkg-descr 
  Log:
  Forced commit after repocopy.
  
  PR:             ports/152632
  Submitted by:   Aldis Berjoza (aldis@bsdroot.lv)
  Approved by:    itetcu (mentor) (implicit)
  
  Revision  Changes    Path
  1.9       +0 -0      ports/www/hastymail2/Makefile
  1.2       +0 -0      ports/www/hastymail2/distinfo
  1.2       +0 -0      ports/www/hastymail2/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-12-16 23:05:54 UTC
beech       2010-12-16 23:05:48 UTC

  FreeBSD ports repository

  Modified files:
    www/hastymail2       Makefile distinfo pkg-descr 
    www/hastymail2/files patch-lib-constant.php pkg-message.in 
  Log:
  Hastymail2 is a full featured IMAP/SMTP client written in PHP. Our goal is to
  create a fast, secure, compliant web mail client that has great usability.
  Hastymail2 is much more lightweight than most popular web based mail
  applications but still maintains a competitive feature set. The project
  originated as Hastymail in 2002, then was nearly completely rewritten as
  Hastymail2 starting in January of 2008. We are very near our first stable
  release of the second generation of Hastymail and development continues to be
  active.
  
  Pass maintainership to submitter.
  
  PR:             ports/152632
  Submitted by:   Aldis Berjoza (aldis@bsdroot.lv)
  Approved by:    itetcu (mentor) (implicit)
  
  Revision  Changes    Path
  1.10      +30 -22    ports/www/hastymail2/Makefile
  1.3       +2 -3      ports/www/hastymail2/distinfo
  1.2       +0 -11     ports/www/hastymail2/files/patch-lib-constant.php
  1.3       +2 -2      ports/www/hastymail2/files/pkg-message.in
  1.3       +36 -7     ports/www/hastymail2/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2010-12-16 23:08:37 UTC
beech       2010-12-16 23:08:32 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Log:
  Hook hastymail2 into build.
  
  PR:             ports/152632
  Approved by:    itetcu (mentor) (implicit)
  
  Revision  Changes    Path
  1.2780    +1 -0      ports/www/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Beech Rintoul freebsd_committer 2010-12-16 23:12:47 UTC
State Changed
From-To: open->closed

Committed, Thanks!